package com.ynet.life.loaf.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.loaf.DataMappingProvider;
import com.ynet.life.loaf.TableConfig;
import java.sql.Connection;

/* loaded from: com_ynet_life_loaf_action.jar:com/ynet/life/loaf/action/QueryDataListByPageAction.class */
public class QueryDataListByPageAction extends LifeJDBCAction {
    private String businessCodeField;
    private String businessCode;
    private String iCollName;
    private String beginPosFieldName;
    private String showNumFieldName;
    private String totalNumFieldName;
    private String sortParam;

    public String execute(Context context) throws GENEException {
        int beginPos;
        int showNum;
        Connection connection = null;
        try {
            try {
                String currentBusinessCode = this.businessCodeField != null ? (String) context.get(this.businessCodeField) : this.businessCode;
                try {
                    beginPos = Integer.parseInt((String) context.get(this.beginPosFieldName));
                } catch (NumberFormatException unused) {
                    beginPos = 1;
                }
                try {
                    showNum = Integer.parseInt((String) context.get(this.showNumFieldName));
                } catch (NumberFormatException unused2) {
                    showNum = 10;
                }
                TableConfig tableConfig = DataMappingProvider.getTableConfig(currentBusinessCode);
                IndexedCollection input = (IndexedCollection) context.get(this.iCollName);
                Connection connection2 = LifeDBAccess.getConnection(getDataSource());
                connection = connection2;
                DataMappingProvider.queryResultSetByPage(connection2, tableConfig, context, input, beginPos, showNum, this.totalNumFieldName, this.sortParam);
                LifeDBAccess.releaseConnection(getDataSource(), connection);
                return "0";
            } catch (GENEException empe) {
                Trace.logError("LOAF", empe.getMessage(), empe);
                throw empe;
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(getDataSource(), connection);
            throw th;
        }
    }

    public void setBusinessCodeField(String businessCodeField) {
        this.businessCodeField = businessCodeField;
    }

    public void setICollName(String collName) {
        this.iCollName = collName;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public void setBeginPosFieldName(String beginPosFieldName) {
        this.beginPosFieldName = beginPosFieldName;
    }

    public void setShowNumFieldName(String showNumFieldName) {
        this.showNumFieldName = showNumFieldName;
    }

    public void setTotalNumFieldName(String totalNumFieldName) {
        this.totalNumFieldName = totalNumFieldName;
    }

    public void setSortParam(String sortParam) {
        this.sortParam = sortParam;
    }
}
